package com.sky.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "sky.filebrowser")
@Data
public class FileBrowserProperties {
    private String domain;
    private String username;
    private String password;
}
