package com.sky.mapper;

import com.sky.entity.DishFlavor;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface DishFlavorMapper {
    //insert into dish_flavor(xx,xx,xx) values (xx,xx,xx),(xx,xx,xx)  批量添加
    void insertBatch(List<DishFlavor> flavorList);
    @Delete("delete from dish_flavor where dish_id=#{id}")
    void deleteByDishId(Long id);
    @Select("select * from dish_flavor where dish_id=#{id}")
    List<DishFlavor> getByDishId(Long id);

}
